Issue 120016 - Put paragraphs which more than one page into table, some contents are not visibleBui
Put paragraphs which more than one page into table, some contents are not vis...
Status: CLOSED FIXED
Product: Writer
Classification: Application
Component: editing
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 02:13 UTC by Yan Ji
Modified: 2013-07-11 13:36 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
A)-Normal (32.50 KB, application/msword)
2012-06-18 02:46 UTC, Jian Hong Cheng
no flags Details
A)-Truncation (44.50 KB, application/msword)
2012-06-18 02:47 UTC, Jian Hong Cheng
no flags Details
B)-Normal (29.00 KB, application/msword)
2012-06-18 02:48 UTC, Jian Hong Cheng
no flags Details
B)-Truncation (32.50 KB, application/msword)
2012-06-18 02:48 UTC, Jian Hong Cheng
no flags Details
C)-Normal (29.50 KB, application/msword)
2012-06-18 02:49 UTC, Jian Hong Cheng
no flags Details
C)-Moved and Truncated (32.00 KB, application/msword)
2012-06-18 02:50 UTC, Jian Hong Cheng
no flags Details
Additional - Normal (34.50 KB, application/msword)
2012-06-18 03:02 UTC, Jian Hong Cheng
no flags Details
Additional - Truncation (40.50 KB, application/msword)
2012-06-18 03:04 UTC, Jian Hong Cheng
no flags Details
patch to solve this defect (4.98 KB, patch)
2012-07-04 13:44 UTC, Oliver-Rainer Wittmann
orw: review+
Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-06-18 02:13:55 UTC
Build: AOO3.4
Steps:
1. Create several paragraphs over one page
2. Select them and create table

Defect: some content at the end of page is invisible.
Comment 1 Jian Hong Cheng 2012-06-18 02:46:36 UTC
Created attachment 78366 [details]
A)-Normal
Comment 2 Jian Hong Cheng 2012-06-18 02:47:33 UTC
Created attachment 78367 [details]
A)-Truncation
Comment 3 Jian Hong Cheng 2012-06-18 02:48:07 UTC
Created attachment 78368 [details]
B)-Normal
Comment 4 Jian Hong Cheng 2012-06-18 02:48:35 UTC
Created attachment 78369 [details]
B)-Truncation
Comment 5 Jian Hong Cheng 2012-06-18 02:49:23 UTC
Created attachment 78370 [details]
C)-Normal
Comment 6 Jian Hong Cheng 2012-06-18 02:50:09 UTC
Created attachment 78371 [details]
C)-Moved and Truncated
Comment 7 Jian Hong Cheng 2012-06-18 03:02:59 UTC
Created attachment 78372 [details]
Additional - Normal

The table is not the first lower of a page...And height of the contents with the cell of 1 row&column is less than the page...it works well..
Comment 8 Jian Hong Cheng 2012-06-18 03:04:59 UTC
Created attachment 78373 [details]
Additional - Truncation

The table is not first lower of a page...and the height of the contents is more than a page..The table will be moved to the new page, but Truncation issue appears..
Comment 9 Oliver-Rainer Wittmann 2012-06-18 12:27:57 UTC
CC myself
Comment 10 Oliver-Rainer Wittmann 2012-07-03 14:25:09 UTC
start working on a solution
Comment 11 Oliver-Rainer Wittmann 2012-07-04 13:44:51 UTC
Created attachment 78577 [details]
patch to solve this defect
Comment 12 Jian Hong Cheng 2012-07-09 07:07:52 UTC
Review,good fix.thanks.
Comment 13 Oliver-Rainer Wittmann 2012-07-09 16:31:58 UTC
Comment on attachment 78577 [details]
patch to solve this defect

review done by Jian Hong Cheng
Comment 14 SVN Robot 2012-07-09 16:43:45 UTC
"orw" committed SVN revision 1359268:
#120016# - method <SwTabFrm::MakeAll()> - refine condition for allowing split...
Comment 15 Oliver-Rainer Wittmann 2012-07-09 16:44:38 UTC
applied patch on trunk.
Comment 16 binguo 2012-11-14 07:15:56 UTC
Verified on Aoo_Trunk_20121109.1800 rev 1407366
the bug does not occur, it is fixed.
Comment 17 binguo 2012-11-14 07:16:20 UTC
close it.